Subject: Networking question?

From: "hang-tak chau" <[email-masked]>
Date: Wed, 31 Oct 2001 17:58:33

Please help in this networking question.
Please help!

1.) Compare and contrast a distance-vector routing algorithm like RIP and a
link-state routing algorithm
like OSPF. Be sure to compare and contrast each protocol's approach to
routing and how each
protocol exchanges routing information. Do not include information on the
packet layouts (i.e., header
layout, field locations, etc.) in your answer. Note that explaining how
distance-vector routing works in
one paragraph, and then explaining how link-state routing works in another
paragraph, without tying the
two discussions together, does not constitute a compare and contrast (and
does not answer this
question.)

2) TCP is said to be a rather inefficient transport protocol when a small
amount of data needs to be
exchanged (such as when a simple web page is sent) but an efficient protocol
for large data transfers
(such as large file transfers with FTP.) Explain why. Include technical
details in your answer.

3.) Consider an IP network composed of two Class A networks (10.0.0.0/8 and
18.0.0.0/8)
connected by a router, R, having interfaces 1 and 2. The IP addresses of
hosts A, B, C, and D, as well
as of interfaces R1 and R2, are given in the figure below. Let the Ethernet
address of host A be called
MAC_A, of R1 be called MAC_R1, and so forth.
A B 10.0.0.1 18.0.0.1 C D
| | +-----+ | |
--------------------------|1 R 2|-----------------------------
10.0.0.3 10.0.0.4 +-----+ 18.0.0.7 18.0.0.8

3a) Suppose that host A has some application layer data (layer-5) to send to
host B using UDP.
Describe this process in detail. Specifically, explain what happens on host
A at each of the five layers of
the Internet Model. Assume for this question that Host A has never sent data
before to Host B.
Write your answer in the form of a detailed list, such that step 1 in your
list is "(1) Host A's
application passes its data off to the layer-4 UDP module where it is
encapsulated and a UDP header is
added." Be sure to include information on how MAC addresses, IP addresses
and subnet masks are
used by the host. Include information on the use of ARP and the use of a
routing table (if necessary) in
your answer. Your explanation can stop at the point when A's data reaches
B's Ethernet interface; you
needn't explain what happens in B's protocol stack.
3b) Using the same list format, explain the process by which host A sends
some application layer
data to host D. Again, your explanation can stop at the point when A's data
reaches D's Ethernet
interface. Assume for this question that Host A has never sent data before
to the router, or to Host D.

4a.) Suppose an Ethernet switch receives a frame destined for a host located
on the same ethernet
segment as the source host. What does the switch do with the frame? Could
there be any difference in
the behavior of the switch depending on whether either or both hosts had
previously sent any data?

4b.) Consider the following ethernet network consisting of two hosts, A and
B, and two Ethernet
switches, S1 and S2. As you can see, the network is divided into two parts,
the top portion and the
bottom portion, and each switch has one port attached to each part of the
network. Assume the
network does not implement any kind of switch level protocol such as the
Spanning-Tree Algorithm.
What types of problems (if any) would result from such a configuration?
A
|
---------
| |
S1 S2
| |
---------
|
B

5.) Assume that there are two computer systems, Host A and Host B, both
running the TCP/IP
protocol stack and both connected to the same Ethernet LAN. In this problem,
we ask you a number
of questions related to the use of TCP.

5b.) Describe, using a time sequence diagram, the opening of the TCP
connection between these two
systems via a three-way handshake. (Assume that Host A opens the connection
to Host B.) Include
information on the sequence numbers.

5b.) Lost TCP Acknowledgements do not necessarily force retransmission.
Explain why.

5c.) Describe the use of the TCP checksum, including a description of the
parts of the packet that it
covers.

6a.) Describe the use of DLCIs in a Frame Relay network which uses PVCs (not
SVCs.)

6b.) Explain how congestion control is handled in a Frame Relay network. Be
sure to mention such
concepts as the BECN, FECN, and DE bits.

>From: Mark Nottingham <[email-masked]>
>To: [email-masked]
>CC: [email-masked]
>Subject: Re: Http requirements
>Date: Tue, 30 Oct 2001 20:54:07 -0800
>
>
>FYI:
>
>This is discussed (somewhat sporadically) at:
>   http://groups.yahoo.com/group/http-compliance/
>and is also of some interest on the W3C's w3c-qa mailing list.
>
>(not to say that it is or isn't appropriate here as well)
>
>Cheers,
>
>
>On Tue, Oct 30, 2001 at 09:39:55AM +0000, [email-masked] wrote:
> >
> > Hi,
> >
> > I too am interested in any information about conformance test suites for
> > HTTP/1.1.  I've recently been involved in a client implementation, and
> > found planning the conformance testing a very manual task, mainly 
>because I
> > could locate no resource other than the RFC that listed (in brief!) 
>which
> > RFC MUST/SHOULD clauses apply to each class of application.
> >
> > It's interesting to contrast this with the WAP Forum's conformance
> > specifications, which are found at the end of each of their specs.
> > Furthermore there's a test suite produced and administered by 
>OpenGroup.org
> > which tests clients against each clause.  I'd be very happy to discover
> > that an organisation somewhere has produced a similar HTTP/1.1 client
> > conformance suite.
> >
> > Paul Hadfield
> >
> > Software Engineer
> > Browser Technologies
> > Symbian Ltd.
> > http://www.symbian.com/
> >
> >
> >
> >
> >                     Matt Lynch
> >                     <Matt@stimulussolutio       To:     
>[email-masked]
> >                     ns.com.au>                  cc:
> >                                                 Subject:     Http 
>requirements
> >                     30/10/01 01:03
> >
> >
> >
> >
> >
> >
> > G'day all,
> >            I'm just getting to the end of an http implementation, and am 
>in
> > testing for conformance to the spec.  I've interpreted the spec to the 
>best
> > of my ability, and I'd like to cross reference this list against 
>another.
> > Does anyone know the url to a document summarising the spec?  This seems
> > like such an academic exercise, I figured that there would be an .edu 
>site
> > with this info...
> >
> > Matt Lynch
> > Developer
> > Stimulus Solutions
> > http://www.stimulussolutions.com.au
> >
> >
> >
> >
> >
> >
> >
> > **********************************************************************
> > Symbian Ltd is a company registered in England and Wales with registered 
>number 01796587 and registered office at 19 Harcourt Street, London, W1H 
>4HF, UK.
> > This message is intended only for use by the named addressee and may 
>contain privileged and/or confidential information. If you are not the 
>named addressee you should not disseminate, copy or take any action in 
>reliance on it. If you have received this message in error please notify 
>[email-masked] and delete the message and any attachments 
>accompanying it immediately. Symbian does not accept liability for any 
>corruption, interception, amendment, tampering or viruses occurring to this 
>message in transit or for any message sent by its employees which is not in 
>compliance with Symbian corporate policy.
> > **********************************************************************
> >
>
>--
>Mark Nottingham
>http://www.mnot.net/
>
>

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

---

From: "Phillip Hallam-Baker" <[email-masked]>
Date: Wed, 31 Oct 2001 18:29:47 -0500

> Please help in this networking question.

Try www.amazon.com and see if the sell the instructor manual